namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "safeguard")]
public class Safeguard : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        target.BattleData?.BattleSide.VolatileScripts.Add(new Side.SafeguardEffect());
    }
}